<%@ PAGE LANGUAGE="C#" %>
<html>
<head>
<script runat="server">
void Page_Load(object sender, EventArgs e) {
	if (IsPostBack) {
		try {
			textbox1.Columns = Int32.Parse(columns.Text);
			textbox1.MaxLength = Int32.Parse(maxlength.Text);
			textbox1.Rows = Int32.Parse(rows.Text);
			textbox1.ReadOnly = Boolean.Parse(ro.SelectedItem.Text);
			textbox1.Wrap  = Boolean.Parse(wrap.SelectedItem.Text);
			textbox1.TextMode = (TextBoxMode) Enum.Parse(typeof(TextBoxMode), textmode.SelectedItem.Text);

			bool tm = textbox1.TextMode == TextBoxMode.MultiLine;
			rows.Enabled = tm;
			wrap.Enabled = tm;
		}
		catch (Exception exp) {
			textbox1.Text = "error";
		}
	}
}
</script>
</head>

<body>
<form runat="server">
	Columns : <asp:TextBox id="columns" Text="40" runat="server" />
	ReadOnly : 
	<asp:DropDownList id="ro" runat="server">
		<asp:ListItem>true</asp:ListItem>
		<asp:ListItem>false</asp:ListItem>
	</asp:DropDownList>
	<br>
	MaxLength : <asp:TextBox id="maxlength" Text="80" runat="server" />
	TextMode :
	<asp:DropDownList id="textmode" runat="server">
		<asp:ListItem>MultiLine</asp:ListItem>
		<asp:ListItem>SingleLine</asp:ListItem>
		<asp:ListItem>Password</asp:ListItem>
	</asp:DropDownList>
	<br>
	Rows : <asp:TextBox id="rows" Text="20" runat="server" />
	Wrap : 
	<asp:DropDownList id="wrap" runat="server">
		<asp:ListItem>true</asp:ListItem>
		<asp:ListItem>false</asp:ListItem>
	</asp:DropDownList>
	<br>
	<asp:Button Text="Submit" runat="server" />
	<br>
	asp:TextBox : <asp:TextBox id="textbox1" runat="server" />
</form>
</body>
</html>

